/*
 * radio.h
 *
 *  Created on: Nov 5, 2011
 *      Author: tkl
 */

#ifndef RADIO_H_
#define RADIO_H_

//------------------------------------------------------------------------------
#define F_CPU       1000000     // main oscillator frequency

#define RX_BUFFER_SIZE	50

//------------------------------------------------------------------------------
extern uint8_t rx_buffer[];

//------------------------------------------------------------------------------
void setup_radio(void);
void tx_packet(uint8_t *buffer, uint8_t len);
uint8_t rx_packet(uint8_t *buffer, uint8_t len, uint32_t timeout);

#endif /* RADIO_H_ */
